kind: ClusterRole
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: knative-serving-certmanager
  labels:
    serving.knative.dev/release: "v0.25.1"
    serving.knative.dev/controller: "true"
    networking.knative.dev/certificate-provider: cert-manager
rules:
  - apiGroups: ["cert-manager.io"]
    resources: ["certificates", "clusterissuers"]
    verbs: ["get", "list", "create", "update", "delete", "patch", "watch"]
  - apiGroups: ["acme.cert-manager.io"]
    resources: ["challenges"]
    verbs: ["get", "list", "create", "update", "delete", "patch", "watch"]
